org.springframework.scheduling.annotation

## Class AsyncResult<V>

- java.lang.Object
- - org.springframework.scheduling.annotation.AsyncResult<V>

- All Implemented Interfaces:
    Future<V>

      public class AsyncResult<V>
      extends Object
      implements Future<V>

  A pass-through `Future` handle that can be used for method signatures which are declared with a Future return type for asynchronous execution.
  Since:
    3.0
  Author:
    Juergen Hoeller
  See Also:
    `Async`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsyncResult(V value)` Create a new AsyncResult holder.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `cancel(boolean mayInterruptIfRunning)`
    `V` | `get()`
    `V` | `get(long timeout, TimeUnit unit)`
    `boolean` | `isCancelled()`
    `boolean` | `isDone()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AsyncResult

          public AsyncResult(V value)

      Create a new AsyncResult holder.
      Parameters:
        `value` - the value to pass through

  - ### Method Detail

    - #### cancel

          public boolean cancel(boolean mayInterruptIfRunning)

      Specified by:
        `cancel` in interface `Future<V>`

    - #### isCancelled

          public boolean isCancelled()

      Specified by:
        `isCancelled` in interface `Future<V>`

    - #### isDone

          public boolean isDone()

      Specified by:
        `isDone` in interface `Future<V>`

    - #### get

          public V get()

      Specified by:
        `get` in interface `Future<V>`

    - #### get

          public V get(long timeout,
              TimeUnit unit)

      Specified by:
        `get` in interface `Future<V>`